Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.ORBPackage
Class InvalidNameHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ORBPackage.InvalidNameHelper

public final class InvalidNameHelper
extends java.lang.Object

Helper class for InvalidName. This is class is in the org.omg packages from 00-02-08 which and is marked as dummy but cannot be generated from idl files.

Constructor Summary
`InvalidNameHelper()`

Method Summary
`static InvalidName` | `extract(Any any)`
`static java.lang.String` | `id()`
`static void` | `insert(Any any, InvalidName _value)`
`static InvalidName` | `read(InputStream _input)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream _output, InvalidName _value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidNameHelper

    public InvalidNameHelper()

Method Detail

### insert

    public static void insert(Any any,
                              InvalidName _value)

### extract

    public static InvalidName extract(Any any)

### type

    public static TypeCode type()

### id

    public static java.lang.String id()

### read

    public static InvalidName read(InputStream _input)

### write

    public static void write(OutputStream _output,
                             InvalidName _value)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD